/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 

.alignment-preview-dialog {
  .modal-body {
    overflow: visible !important;
  }
}

alignment-preview-navigator {
  .row {
    position: relative;
    height: 100%;
    > div {
      height: 100%;
    }
  }
}

.alignment-preview-list {
  .list-group {
    font-size: 13px;
    height: 100%;
    padding-bottom: 40px;
    margin-bottom: 0;
  }

  .list-group-item {
    border-radius: 0;
    padding: 5px 10px;

    &:not(.active) {
      border-color: $box-border-color;
    }

    &:first-child {
      border-top:0px;
    }

    label {
      display: block;
      font-size: 14px;
      margin: 0;
      cursor: pointer;
    }
    .label {
      font-weight: normal;
      line-height: 2em;
    }
  }
}

.alignment-preview-pager {
  margin: 0;
  position: absolute;
  z-index: 4242;
  bottom:0px;
  width:100%;
  padding:6px 10px;
  background-color: $box-border-color;
  li a {
    border-radius: 5px;
    padding: 3px 14px;
  }
  li span {
    background: transparent;
    border:0px;
    font-size:12px;
  }
}

alignment-preview {
  padding: 10px;
  display: block;
  h1 {
    font-size: 18px;
    margin-top: 0px;
  }

  .property-filter {
    .form-control {
      display: inline;
      width: auto;
      padding: 0px 5px;
      height: 25px;
      line-height: 25px;
    }
  }

  .alert {
    padding: 10px;
    border-radius: 0;
    font-size: 12px;
    margin-bottom: 10px;
    ul {
      margin-top: 5px;
    }
  }

  .abstract {
    padding:5px 10px;
    background: #EEE;
  }

  .resource {

    .prefLabel {
      display: none;
    }

    .table {
      background: transparent;
      font-size: 12px;
      margin:0;
      > tbody > tr > td {
        padding:3px;
      }

      td.property {
        width: 15%;
        font-weight: bold;
      }

      td.value {

      }

      .anomaly-message {
        font-style: italic;
      }

      tr {
        // status
        &.mapped {
          > td.empty::after {
            content:"aucune valeur";
            color: $gray-300;
          }
        }
        &.unmapped {
          > td.property {
            color: $gray-500;
          }
          > td.empty::after {
            content:"non alignée";
            color: $gray-300;
          }
        }
        &.success {
          > td {
            background: transparent;
          }
        }
        &.warning {
          > td * {
            color: $alert-warning-text;
          }
        }
        &.error {
          > td * {
            color: red;
          }
        }
      }

      // inner tables
      .table {
        tbody {
          td[rowspan] {
            padding-left: 10px;
          }
          tr:first-child td {
            border-top:0px;
          }
        }
      }
    }

    // inner resources
    .resource {
      .prefLabel {
        display: block;
      }
      .properties {
        margin-top: 4px;
        border-left:5px solid #EEE;
        padding-left:3px;
      }
    }
  }
}

.alignment-preview-list,
.alignment-preview-wrapper {
  &.loading {
    @include spinner(25px);
    &::before {
      content:"";
      display: block;
      width: 100%;
      height: 100%;
      background: #FFF;
      position: absolute;
      z-index: 5;
      @include opacity(.6);
    }
    &::after {
      border-color: #FFF;
      border-top-color: $brand-primary;
      top: 50%;
      margin-top: -22px;
    }
  }
}